{include file="header.tpl"}

      <h1>Registration</h1>
<div class="regpage">
{if $deny_registration}
 We are closed for new registrations now.
{elseif $settings.use_referal_program && $settings.force_upline && !$referer && !$settings.get_rand_ref}
 You  do not have a upline. Our system require a upline for each user.
{else}
 {literal}

 <script language=javascript>
 function checkform() {
  if (document.regform.fullname.value == '') {
    alert("Please enter your full name!");
    document.regform.fullname.focus();
    return false;
  }
 {/literal}
 {if $settings.use_user_location}
 {literal}
  if (document.regform.address.value == '') {
    alert("Please enter your address!");
    document.regform.address.focus();
    return false;
  }
  if (document.regform.city.value == '') {
    alert("Please enter your city!");
    document.regform.city.focus();
    return false;
  }
  if (document.regform.state.value == '') {
    alert("Please enter your state!");
    document.regform.state.focus();
    return false;
  }
  if (document.regform.zip.value == '') {
    alert("Please enter your ZIP!");
    document.regform.zip.focus();
    return false;
  }
  if (document.regform.country.options[document.regform.country.selectedIndex].text == '--SELECT--') {
    alert("Please choose your country!");
    document.regform.country.focus();
    return false;
  }
 {/literal}
 {/if}
 {literal}
  if (document.regform.username.value == '') {
    alert("Please enter your username!");
    document.regform.username.focus();
    return false;
  }
  if (document.regform.password.value == '') {
    alert("Please enter your password!");
    document.regform.password.focus();
    return false;
  }
  if (document.regform.password.value != document.regform.password2.value) {
    alert("Please check your password!");
    document.regform.password2.focus();
    return false;
  }
 {/literal}
 {if $settings.use_transaction_code}
 {literal}
  if (document.regform.transaction_code.value == '') {
    alert("Please enter your transaction code!");
    document.regform.transaction_code.focus();
    return false;
  }
  if (document.regform.transaction_code.value != document.regform.transaction_code2.value) {
    alert("Please check your transaction code!");
    document.regform.transaction_code2.focus();
    return false;
  }
 {/literal}
 {/if}
 {literal}
  if (document.regform.email.value == '') {
    alert("Please enter your e-mail address!");
    document.regform.email.focus();
    return false;
  }
  if (document.regform.email.value != document.regform.email1.value) {
    alert("Please retupe your e-mail!");
    document.regform.email.focus();
    return false;
  }
  if (document.regform.agree.checked == false) {
    alert("You have to agree with the Terms and Conditions!");
    return false;
  }
  return true;
 }

 function IsNumeric(sText) {
  var ValidChars = "0123456789";
  var IsNumber=true;
  var Char;
  if (sText == '') return false;
  for (i = 0; i < sText.length && IsNumber == true; i++) { 
    Char = sText.charAt(i); 
    if (ValidChars.indexOf(Char) == -1) {
      IsNumber = false;
    }
  }
  return IsNumber;
 }
 </script>
 {/literal}
 
 {if $errors}
  <ul style="color:red; clear:both;">
  {section name=e loop=$errors} 
   {if $errors[e] eq 'full_name'}
    <li>Please enter your full name!
   {/if}
   {if $errors[e] eq 'address'}
    <li>Please enter your address!
   {/if}
   {if $errors[e] eq 'city'}
    <li>Please enter your city!
   {/if}
   {if $errors[e] eq 'state'}
    <li>Please enter your state!
   {/if}
   {if $errors[e] eq 'zip'}
    <li>Please enter your zip!
   {/if}
   {if $errors[e] eq 'country'}
    <li>Please choose your country!
   {/if}
   {if $errors[e] eq 'username'}
    <li>Please enter your username!
   {/if}
   {if $errors[e] eq 'username_exists'}
    <li>Sorry, such user already exists! Please try another username. 
   {/if}
   {if $errors[e] eq 'email_exists'}
    <li>Sorry, such email already exists! Please try another email. 
   {/if} 
   {if $errors[e] eq 'password'} 
    <li>Please enter a password!
   {/if}
   {if $errors[e] eq 'password_confirm'}
    <li>Please check your password!
   {/if}
   {if $errors[e] eq 'password_too_small'}
    <li>The password you provided is too small, please enter at least {$settings.min_user_password_length} characters!
   {/if} 
   {if $errors[e] eq 'transaction_code'} 
    <li>Please enter the Transaction Code!
   {/if} 
   {if $errors[e] eq 'transaction_code_confirm'} 
    <li>Please check your Transaction Code!
   {/if}
   {if $errors[e] eq 'transaction_code_too_small'}
    <li>The Transaction Code you provided is too small, please enter at least {$settings.min_user_password_length} characters!
   {/if}
   {if $errors[e] eq 'transaction_code_vs_password'} 
    <li>The Transaction Code should differ from the Password!
   {/if}
   {if $errors[e] eq 'egold'} 
    <li>Please enter your e-gold account number!
   {/if}
   {if $errors[e] eq 'email'} 
    <li>Please enter your e-mail!
   {/if}
   {if $errors[e] eq 'agree'}
    <li>You have to agree with the Terms and Conditions!
   {/if}
   {if $errors[e] eq 'turing_image'}
    <li>Enter the verification code as it is shown in the corresponding box.
   {/if} 
   {if $errors[e] eq 'no_upline'}
    <li>The system requires an upline to register. {if $settings.get_rand_ref}You have to be agreed to random one or found a referral link in the net.{/if}
   {/if} 
   {if $errors[e] eq 'ip_exists_in_database'}
    <li>Your IP already exists in our database. Sorry, but registration impossible.
   {/if}

   <br> 
  {/section}
  </ul>
 {/if} 

<form method=post onsubmit="return checkform()" name="regform">
<input type=hidden name=a value="signup">
<input type=hidden name=action value="signup">

      <p class="txt">
        Please go to the &quot;Register&quot; page, and fill up the form there, to register yourself as a member of PerfectRoi. 
        After successful registration, you will have your personal account, which you can use to invest funds and earn profits.      
      </p>
      <h4>Personal and Account Information</h4>      
      <div class="signupbox">
        <div class="box1">
          <p class="icon icon1">Your Name:</p>
          <span class="inpbg"><input type=text name=fullname value="{$frm.fullname|escape:"quotes"}" class=inpts size=30></span>
          <p class="icon icon1">Login:</p>
          <span class="inpbg"><input type=text name=username value="{$frm.username|escape:"quotes"}" class=inpts size=30></span>
        </div>
        <div class="box1" style="position:relative; left:30px;">
          <p class="icon icon2">Email Address:</p>
          <span class="inpbg"><input type=text name=email value="{$frm.email|escape:"quotes"}" class=inpts size=30></span>
          <p class="icon icon2">Repeat Email:</p>
          <span class="inpbg"><input type=text name=email1 value="{$frm.email1|escape:"quotes"}" class=inpts size=30></span>
        </div>
        <div class="box1" style="float:right;">
          <p class="icon icon3">Password:</p>
          <span class="inpbg"><input type=password name=password value="{$frm.password|escape:"quotes"}" class=inpts size=30></span>
          <p class="icon icon3">Repeat Password:</p>
          <span class="inpbg"><input type=password name=password2 value="{$frm.password2|escape:"quotes"}" class=inpts size=30></span>
        </div>
      </div>
      
      <h4>Security Question and Payment Properties</h4>
      <div class="signupbox">
        <div class="box2">
          <p class="icon icon4">Secret Question:</p>
          <span class="inpbg"><input type=text name=sq value="{$frm.sq|escape:"quotes"}" class=inpts size=30></span>
          <p class="icon icon4">Answer on Secret Question:</p>
          <span class="inpbg"><input type=text name=sa value="{$frm.sa|escape:"quotes"}" class=inpts size=30></span>
        </div>

{section name=ps loop=$pay_accounts}

<p class="icon icon5">Your {$pay_accounts[ps].name} Account:</p>
<span class="inpbg"><input type=text class=inpts size=30 name=pay_account[{$pay_accounts[ps].id}] value="{$pay_accounts[ps].account|escape:html}"></span>

{/section}

{*
        <div class="box2" style="float:right;">
          <p class="icon {$pay_accounts[ps].name}">Liberty Reserve:</p>
          <span class="inpbg"><input type="text" name="a1"></span>
          <p class="icon {$pay_accounts[ps].name}">Perfect Money:</p>
          <span class="inpbg"><input type="text" name="a1"></span>
        </div>
*}
      </div>

{if $settings.use_referal_program}
  <p class="upline">
  {if $referer}
  Your Upline:  ({$referer.username})
  {else}
    {if $settings.force_upline}
     {if $settings.get_rand_ref}

        You do not have an upline. Our system requires an upline for each user. You'll have to agree to get a random one or find a referral link on the net.
        <input type=checkbox name="rand_ref" value=1>
     {else}
        You do not have an upline. Our system requires an upline for each user.
     {/if}
    {/if}
  {/if}
  </p>
{/if}


      <p style="text-align:center;">
      <input type=checkbox name=agree value=1 {if $frm.agree}checked{/if} > I agree with <a href=?a=rules>Terms and conditions</a>
      <input type="image" src="images/signin_submit.png" onClick="document.regform.submit();" class="sbmt">
      </p>
</form>
</div>
{/if}

{include file="footer.tpl"}
